
# Install oidentd service
#
# === Parameters:
#
#     $config:
#         Source to oidentd.conf. Default is to install empty config.
#
class oidentd($config="") {

    package { "oidentd":
        ensure => installed,
    }

    file { "/etc/oidentd.conf":
        ensure  => present,
        source  => $config ? {
            ""      => undef,
            default => $config,
        },
        content => $config ? {
            ""      => "",
            default => undef,
        },
        mode    => "0644",
        owner   => "root",
        group   => "root",
        require => Package["oidentd"],
        notify  => Service["oidentd"],
    }

    service { "oidentd":
        ensure => running,
        enable => true,
    }

}
